/** Apply el.addEventListener and return el.removeEventListener function; use passive:true by default;
 * @tutorial Troubleshooting
 * * don't change argument `options` after the function call otherwise removineListener can be skipped */
export default function onEvent(element, type, listener, options) {
    if (typeof options !== "boolean") {
        if (options == null) {
            options = { passive: true };
        }
        else if (options.passive == null) {
            options.passive = true;
        }
    }
    const remove = () => element.removeEventListener(type, wrapper, options);
    function wrapper(e) {
        listener.call(element, e);
        options?.once && remove();
    }
    element.addEventListener(type, wrapper, options);
    return remove;
}
