/**
 * Spy on method-call of object
 * @returns reset function; call it to rollback spy
 */
export default function onSpy(obj, method, 
// @ts-ignore
callback) {
    const orig = obj[method];
    const n = {
        [method]() {
            const r = orig.apply(obj, arguments);
            callback.apply(obj, arguments);
            return r;
        },
    };
    obj[method] = n[method];
    return () => (obj[method] = orig);
}
