/** Returns if string has not-word symbol at pointed char position */
export declare function isSpecialSymbol(s: string, i: number): boolean;
/**
 * Returns count of chars in lower case (for any language with ignoring numbers, symbols)
 * @param s
 * @param stopWith point to calc up to this value (for performance reason)
 */
export declare function stringLowerCount(s: string, stopWith?: number): number;
/**
 * Returns count of chars in upper case (for any language with ignoring numbers)
 * @param s
 * @param stopWith point to calc up to this value (for performance reason)
 */
export declare function stringUpperCount(s: string, stopWith?: number): number;
/**
 * Changes camelCase 'somePropValue' to 'Some Prop Value'
 *
 * Changes snakeCase 'some_prop_value' to 'Some prop value'
 *
 * Changes kebabCase 'some-prop-value' to 'Some prop value'; `false` by default
 *
 * To capitalize use css [text-transform: capitalize]
 * @param text The string to change
 * @param changeKebabCase Set true to apply kebabCase rule; `false` by default
 * @returns Prettified string
 */
export declare function stringPrettify(text: string, changeKebabCase?: boolean): string;
