type TransformFunctions = "matrix" | "matrix3d" | "perspective" | "rotate" | "rotate3d" | "rotateX" | "rotateY" | "rotateZ" | "translate" | "translate3d" | "translateX" | "translateY" | "translateZ" | "scale" | "scale3d" | "scaleX" | "scaleY" | "scaleZ" | "skew" | "skewX" | "skewY";
/** Replaces [translate] in el.style.transform
 * @example
 * el.style.transform('translate(-10px, 20%)');
 * styleTransform(el, 'translate', '-10px, 20%' )
 * @returns el.style.transform */
export declare function styleTransform(el: HTMLElement, prop: TransformFunctions, value: string | number): string;
/** Converts '23px' to number 23 */
export declare function px2Number(styleValue: string): number;
interface CustomRect {
    bottom: number;
    height: number;
    left: number;
    right: number;
    top: number;
    width: number;
}
export declare function getBoundingInternalRect(el: Element, options?: {
    computedStyle?: CSSStyleDeclaration;
    ignoreCache?: boolean;
    elRect?: DOMRect;
}): CustomRect;
/** Parse '0.2s' to 200, '200ms' to '200'
 * If parsing is wrong returns 0 */
export declare function parseMsTime(v: string): number;
export {};
