export var PopupOpenCases;
(function (PopupOpenCases) {
    /** When $open() is called programmatically */
    PopupOpenCases[PopupOpenCases["onManualCall"] = 0] = "onManualCall";
    /** On init (when appended to layout) */
    PopupOpenCases[PopupOpenCases["onInit"] = 1] = "onInit";
    /** On `mouseenter` event of target; hide by `mouseleave` */
    PopupOpenCases[PopupOpenCases["onHover"] = 2] = "onHover";
    /** On `focusIn` event of target; hide by `focusout` (also on click if PopupOpenCases.onClick included) */
    PopupOpenCases[PopupOpenCases["onFocus"] = 4] = "onFocus";
    /** On `click` event of target; hide by click anywhere */
    PopupOpenCases[PopupOpenCases["onClick"] = 8] = "onClick";
})(PopupOpenCases || (PopupOpenCases = {}));
export var PopupCloseCases;
(function (PopupCloseCases) {
    /** When $close() is called programmatically */
    PopupCloseCases[PopupCloseCases["onManualCall"] = 0] = "onManualCall";
    /** When mouse left target & popup */
    PopupCloseCases[PopupCloseCases["onMouseLeave"] = 1] = "onMouseLeave";
    /** When focus left target & popup */
    PopupCloseCases[PopupCloseCases["onFocusOut"] = 2] = "onFocusOut";
    /** When was click outside target & popup */
    PopupCloseCases[PopupCloseCases["onOutsideClick"] = 3] = "onOutsideClick";
    /** When was click on popup */
    PopupCloseCases[PopupCloseCases["onPopupClick"] = 4] = "onPopupClick";
    /** When was click on target & popup was opened */
    PopupCloseCases[PopupCloseCases["onTargetClick"] = 5] = "onTargetClick";
    /** When target removed from document */
    PopupCloseCases[PopupCloseCases["onTargetRemove"] = 6] = "onTargetRemove";
    /** When options or attributes changes */
    PopupCloseCases[PopupCloseCases["onOptionChange"] = 7] = "onOptionChange";
    /** When user pressed Escape button */
    PopupCloseCases[PopupCloseCases["onPressEsc"] = 8] = "onPressEsc";
})(PopupCloseCases || (PopupCloseCases = {}));
export var PopupAnimations;
(function (PopupAnimations) {
    /** Via opacity/css-style */
    PopupAnimations[PopupAnimations["default"] = 0] = "default";
    /** Dropdown/drawer animation. It's implemented via JS */
    PopupAnimations[PopupAnimations["drawer"] = 1] = "drawer";
    /** Animate (show/hide) element as dropdown via moving every item to position step by step
     * @tutorial expected structure
     * * use attr [items] `<div items><button>item 1</button>...</div>`
     * * use <li/> `<ul><li><button>item 1</button></li>...</ul>`
     * * use nested structure <div><button>item 1</button>...</div>
     * * or use without wrapper <button>item 1</button>... */
    PopupAnimations[PopupAnimations["stack"] = 2] = "stack";
})(PopupAnimations || (PopupAnimations = {}));
// export {}; // https://www.typescriptlang.org/docs/handbook/declaration-files/templates/global-modifying-module-d-ts.html
