/** Style for visually hidden but accessible for screenReaders */
export declare const WUPcssHidden = "\nposition: absolute;\nheight:1px; width:1px;\noverflow:hidden;\nclip:rect(1px,1px,1px,1px);\nmin-width:initial;\npadding:0;";
/** Style for icons; vars --ctrl-icon, --ctrl-icon-size, --ctrl-icon-img to customize styling */
export declare const WUPcssIcon = "\ndisplay: inline-block;\nwidth: var(--ctrl-icon-size);\nmin-height: var(--ctrl-icon-size);\nbox-sizing: content-box;\nmargin: 0;\npadding: 5px;\nflex: 0 0 auto;\nalign-self: stretch;\nborder: none;\nbox-shadow: none;\nbackground: var(--ctrl-icon);\n-webkit-mask-size: var(--ctrl-icon-size);\nmask-size: var(--ctrl-icon-size);\n-webkit-mask-repeat: no-repeat;\nmask-repeat: no-repeat;\n-webkit-mask-position: center;\nmask-position: center;\n-webkit-mask-image: var(--ctrl-icon-img);\nmask-image: var(--ctrl-icon-img);";
/** Style for button with icons */
export declare function WUPcssBtnIcon(tag: string): string;
/** Style for small-scroll; vars --scroll, --scroll-hover to customize styling
 * @tutorial Troubleshooting
 * * cursor:pointer; doesn't work - this Chromium issue https://stackoverflow.com/questions/64402424/why-does-the-css-cursor-property-not-work-for-the-styled-scrollbar */
export declare function WUPcssScrollSmall(tag: string): string;
/** Returns default style for primary/submit button */
export declare function WUPcssButton(tag: string, type?: 1 | 2 | 3): string;
/** Returns default style for popup menu */
export declare function WUPcssMenu(tag: string): string;
/** Add hover & focus style on pointed item (via :before) */
export declare function WUPCssIconHover(parentTag: string, iconTag: string, hoverSize?: string, hoverColor?: string): string;
/** Use this function to prepend css-style via JS into document.head */
export declare function useBuiltinStyle(cssString: string): HTMLStyleElement;
